# Endpoints

- [/quotes](https://swallow-1.gitbook.io/swallow/developer-api/endpoints/quotes.md): Quote API is for creating priced quotes from Swallow pricing projects, and returning quote data at volume.
- [/projects](https://swallow-1.gitbook.io/swallow/developer-api/endpoints/projects.md): Projects API is for reporting on pricing project states and to aid in building custom quote flows
- [/tests](https://swallow-1.gitbook.io/swallow/developer-api/endpoints/tests.md): Tests API is for having programmatic test reporting for confidence and/or integration in to your own CI/CD systems.
- [/process](https://swallow-1.gitbook.io/swallow/developer-api/endpoints/process.md): Process API is for having programatic reporting for auditability


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://swallow-1.gitbook.io/swallow/developer-api/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
